# Get a Flow of Money
# Dxplaination of Interface Call Request
http请求方式:POST
https://api.weixin.qq.com/product/funds/getorderflow?access_token=xxxxxxxxx
# Example of request parameters
{
"order_id": 1651031426690650
}
# Examples of back-up
{
"order_flow": {
"order_id": 1651031426690650,
"status": "ORDER_FLOW_STATUS_TRANSACTION_PENDING_SETTLED",
"price": 1,
"order_price": 1,
"discount_fee": 0,
"service_fee": 0,
"handling_fee": 0,
"refund_fee": 0,
"settled_time": 0,
"order_time": 1625390752,
"refunding_type": 0
}
}
# Dxplaination of request parameters
| 参数 | type | Is it compulsory? | Introductions |
|---|---|---|---|
| order_id | number | yes | order number |
# Dxplaination of callback parameters
| 参数 | type | Introductions |
|---|---|---|
| errcode | number | Error code |
| errmsg | string | Error message |
| order_flow.order_id | number | order number |
| order_flow.status | number | Status of funds |
| order_flow.price | number | The amount of money earned by the business |
| order_flow.order_price | number | Total Order Amount |
| order_flow.discount_fee | number | Discounted Amount |
| order_flow.service_fee | number | service charge |
| order_flow.handling_fee | number | Handling Fee |
| order_flow.refund_fee | number | Refund Amount |
| order_flow.settled_time | number | Settlement time |
| order_flow.order_time | number | Orders are placed by clicking |
| order_flow.refunding_type | number | Type of refund |
# Enumerate status
| 枚举值 | describe |
|---|---|
| 1 | The transaction failed. |
| 2 | The transaction was successful. |
| 3 | A transactional anomaly |
| 4 | To be settled |
# Return code
| 返回码 | Error Type |
|---|---|
| -1 | System exceptions |